package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsNew;

/**
 * 导师带徒Mapper接口
 * 
 * @author ssy
 * @date 2024-05-20
 */
public interface TTsNewMapper 
{
    /**
     * 查询导师带徒
     * 
     * @param newId 导师带徒ID
     * @return 导师带徒
     */
    public TTsNew selectTTsNewById(Long newId);

    /**
     * 查询导师带徒列表
     * 
     * @param tTsNew 导师带徒
     * @return 导师带徒集合
     */
    public List<TTsNew> selectTTsNewList(TTsNew tTsNew);

    /**
     * 新增导师带徒
     * 
     * @param tTsNew 导师带徒
     * @return 结果
     */
    public int insertTTsNew(TTsNew tTsNew);

    /**
     * 修改导师带徒
     * 
     * @param tTsNew 导师带徒
     * @return 结果
     */
    public int updateTTsNew(TTsNew tTsNew);

    /**
     * 删除导师带徒
     * 
     * @param newId 导师带徒ID
     * @return 结果
     */
    public int deleteTTsNewById(Long newId);

    /**
     * 批量删除导师带徒
     * 
     * @param newIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsNewByIds(Long[] newIds);
}
